const replace = require('gulp-replace');
const { src, dest } = require('gulp');
require('dotenv/config');

// or replace multiple strings
function replaceTemplate() {
  return src(['./dist/**'])
    .pipe(replace(/FONTAWESOME_SCRIPT_URL/g, process.env.FONTAWESOME_SCRIPT_URL))
    .pipe(replace(/CONFIG_STORE_URL/g, process.env.CONFIG_STORE_URL))
    .pipe(replace(/CONFIG_FETCH_URL/g, process.env.CONFIG_FETCH_URL))
    .pipe(dest('./dist/'));
};

exports.default = replaceTemplate;